=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends: debhelper (>= 7.0.50),
  libgimp2.0-dev (>= 2.4),
  libavcodec-dev, libavformat-dev, libswscale-dev, libgraphicsmagick++-dev,
- libx11-dev, libxrandr-dev, libmagick++-dev, libfftw3-dev | fftw3-dev
+ libx11-dev, libxrandr-dev, libmagick++-dev, libfftw3-dev | fftw3-dev,
+ libcv-dev, libhighgui-dev
 Standards-Version: 3.8.4
 Homepage: http://gmic.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/gmic.git
