=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,6 @@
 .PHONY: override_dh_compress
 override_dh_compress:
 	dh_compress -X.shtml -X.rss -X.js -X.ppm
-
-.PHONY: override_dh_installchangelogs
-override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
 
 config.status:
 	dh_testdir
